protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
protozero::end_of_buffer_exception Struct Reference

`#include <exception.hpp>`

Inheritance diagram for protozero::end_of_buffer_exception:
[legend]
Collaboration diagram for protozero::end_of_buffer_exception:
[legend]

## Public Member Functions
const char * | what () const noexcept override
| Returns the explanatory string.
Public Member Functions inherited from protozero::exception
const char * | what () const noexcept override
| Returns the explanatory string.

## Detailed Description

This exception is thrown when we are trying to read a field and there are not enough bytes left in the buffer to read it. Almost all functions of the pbf_reader class can throw this exception.

This should never happen unless the data is corrupted or you have initialized the pbf_reader object with incomplete data.

The documentation for this struct was generated from the following file:

- include/protozero/exception.hpp